<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security" layout:decorate="~{layoutadmin}">

<head>
    <meta charset="UTF-8">
    <title>KRS</title>
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>

</head>

<body>
<div layout:fragment="main">
    <div class="header bg-gradient-primary pb-8 pt-5 pt-md-8">
        <div class="container-fluid">
            <div class="header-body">
                <!-- Card stats -->
                <div class="row">
                    <div class="col-xl-12 col-lg-12">
                        <div class="card card-stats mb-4 mb-xl-0">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col">
                                        <h5 class="card-title text-uppercase text-muted mb-0">List</h5>
                                        <span class="h2 font-weight-bold mb-0">Status KRS</span>
                                    </div>
                                    <div class="col-auto">
                                        <div
                                                class="icon icon-shape bg-gradient-blue text-white rounded-circle shadow">
                                            <i class="fas fa-user-astronaut"></i>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>

    <div class="container-fluid mt--7">
        <!-- Table -->
        <div class="row">
            <div class="col">
                <div class="card shadow">
                    <div class="card-header border-0">
                        <div class="row align-items-center">
                            <div class="col">
                                <h3 class="mb-0">Data List</h3>
                            </div>

                        </div>
                    </div>
                    <div class="card-body">
<!--                        <form method="get">-->
<!--                            <div class="row">-->
<!--                                <div class="col-md-12">-->
<!--                                    <div class="form-group">-->
<!--                                        <label>Prodi</label>-->
<!--                                        <select name="prodi" class="form-control">-->
<!--                                            <option value=""></option>-->
<!--                                            <option th:each="data : ${prodi}"-->
<!--                                                    th:selected="(${data} == *{selectProdi})"-->
<!--                                                    th:text="${data.namaProdi}"-->
<!--                                                    th:value="${data.id}">STEI TAZKIA</option>-->
<!--                                        </select>-->
<!--                                    </div>-->

<!--&lt;!&ndash;                                    <div class="form-group">&ndash;&gt;-->
<!--&lt;!&ndash;                                        <label>Angkatan</label>&ndash;&gt;-->
<!--&lt;!&ndash;                                        <select name="angkatan" class="form-control">&ndash;&gt;-->
<!--&lt;!&ndash;                                            <option value=""></option>&ndash;&gt;-->
<!--&lt;!&ndash;                                            <option th:each="data : ${angkatan}"&ndash;&gt;-->
<!--&lt;!&ndash;                                                    th:selected="(${data} == *{selectAngkatan})"&ndash;&gt;-->
<!--&lt;!&ndash;                                                    th:text="${data}"&ndash;&gt;-->
<!--&lt;!&ndash;                                                    th:value="${data}">STEI TAZKIA</option>&ndash;&gt;-->
<!--&lt;!&ndash;                                        </select>&ndash;&gt;-->
<!--&lt;!&ndash;                                    </div>&ndash;&gt;-->
<!--                                </div>-->

<!--&lt;!&ndash;                                <div class="col-md-6">&ndash;&gt;-->
<!--&lt;!&ndash;                                    <div class="form-group">&ndash;&gt;-->
<!--&lt;!&ndash;                                        <label>Dosen</label>&ndash;&gt;-->
<!--&lt;!&ndash;                                        <select name="dosen" class="form-control js-example-placeholder-single" id="select2-dosen"&ndash;&gt;-->
<!--&lt;!&ndash;                                                style="width: 100%!important;">&ndash;&gt;-->
<!--&lt;!&ndash;                                            <option value=""></option>&ndash;&gt;-->
<!--&lt;!&ndash;                                            <option th:each="data: ${dosen}"&ndash;&gt;-->
<!--&lt;!&ndash;                                                    th:text="${data.karyawan.namaKaryawan}"&ndash;&gt;-->
<!--&lt;!&ndash;                                                    th:selected="(${data} == *{selectDosen})"&ndash;&gt;-->
<!--&lt;!&ndash;                                                    th:value="${data.id}">dosen</option>&ndash;&gt;-->
<!--&lt;!&ndash;                                        </select>&ndash;&gt;-->
<!--&lt;!&ndash;                                    </div>&ndash;&gt;-->

<!--&lt;!&ndash;                                    <div class="form-group">&ndash;&gt;-->
<!--&lt;!&ndash;                                        <label>Status</label>&ndash;&gt;-->
<!--&lt;!&ndash;                                        <select name="status" class="form-control" id=""&ndash;&gt;-->
<!--&lt;!&ndash;                                                style="width: 100%!important;">&ndash;&gt;-->
<!--&lt;!&ndash;                                            <option value=""></option>&ndash;&gt;-->
<!--&lt;!&ndash;                                            <option value="belumbayar">Belum Bayar</option>&ndash;&gt;-->
<!--&lt;!&ndash;                                            <option value="belumkrs">Belum KRS</option>&ndash;&gt;-->
<!--&lt;!&ndash;                                            <option value="sudahkrs">Sudah KRS</option>&ndash;&gt;-->

<!--&lt;!&ndash;                                        </select>&ndash;&gt;-->
<!--&lt;!&ndash;                                    </div>&ndash;&gt;-->

<!--&lt;!&ndash;                                </div>&ndash;&gt;-->

<!--                            </div>-->
<!--                            <div class="row" style="padding-top: 10px; padding-bottom: 20px;">-->
<!--                                <div class="col-md-12" style="text-align: center;">-->
<!--                                    <button type="submit" class="btn btn-info"><i class="fas fa-search"></i>-->
<!--                                        Cari</button>-->
<!--                                </div>-->
<!--                            </div>-->
<!--                        </form>-->

                        <div class="card shadow">
<!--                        <div class="card shadow" th:if="${selectProdi != null}">-->
                          <div class="card-body" >
                            <!--                    list total sks screen admin-->
                            <div class="row" sec:authorize="hasAuthority('VIEW_SUPERUSER') or hasAuthority('VIEW_AKADEMIK1') or hasAuthority('VIEW_AKADEMIK2') or hasAuthority('VIEW_STAFF') or hasAuthority('VIEW_KPS') or hasAuthority('VIEW_WAREK2') or hasAuthority('VIEW_FINANCE') or hasAuthority('VIEW_TLC')">
                                <div class="col-12">
                                    <div class="col-md-12">

                                        <div class="card-header">
                                            <div class="form-group">
                                                <form method="get">
                                                    <div class="input-group mb-3">
                                                        <select name="angkatan" class="form-control" required="required">
                                                            <option value="" disabled selected>-- Pilih Angkatan--</option>
                                                            <option th:each="data : ${angkatan}"
                                                                    th:selected="(${data} == *{selectAngkatan})"
                                                                    th:text="${data}"
                                                                    th:value="${data}">ANGKATAN 2023</option>
                                                        </select>
                                                    </div>

                                                    <div class="input-group mb-3">
                                                        <select name="prodi" class="form-control">
                                                            <option disabled selected value="">-- Pilih Prodi --</option>
                                                            <option></option>
                                                            <option th:each="data : ${prodi}"
                                                                    th:selected="(${data} == *{selectProdi})"
                                                                    th:text="${data.namaProdi}"
                                                                    th:value="${data.id}">MBS</option>
                                                        </select>
                                                    </div>

                                                    <div class="input-group mb-3">

                                                        <input type="text" name="search" class="form-control" placeholder="Cari Nama Mahasiswa/i" th:value="${search}">

                                                    </div>

                                                    <div class="row" style="padding-top: 10px; padding-bottom: 20px;">
                                                        <div class="col-md-12" style="text-align: center;">
                                                            <button type="submit" class="btn btn-info"><i class="fas fa-search"></i>
                                                                Cari</button>
                                                        </div>
                                                    </div>
                                                </form>
                                            </div>
                                        </div>

                                    </div>

                                    <div class="card mb-4">

                                        <div class="card-header pb-0">
                                            <div class="row">
                                                <div class="col-sm-6">
                                                    <h3 class="box-title">List Total SKS</h3>
                                                </div>
                                                <div class="col-sm-6" align="right">
                                                    Show entries <span sd:page-size-selector="javascript"></span>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="card-body px-0 pt-0 pb-2">
                                            <!--                                    <div class="table-responsive p-0">-->
                                            <div class="tableFixHead ">
                                                <table class="table align-items-center mb-0 sortable">
                                                    <thead class="thead-light">
                                                    <tr>
                                                        <th class="text-uppercase text-xxs font-weight-bolder opacity-7">No</th>
                                                        <th class="text-uppercase text-xxs font-weight-bolder opacity-7">Nim</th>
                                                        <th class="text-uppercase text-xxs font-weight-bolder opacity-7 ps-2">Nama</th>
                                                        <th class="text-uppercase text-xxs font-weight-bolder opacity-7 ps-2">Prodi</th>
                                                        <th class="text-uppercase text-xxs font-weight-bolder opacity-7 ps-2">Total SKS</th>
                                                        <th class="text-uppercase text-xxs font-weight-bolder opacity-7 ps-2">Status KRS</th>
                                                        <th class="text-uppercase text-xxs font-weight-bolder opacity-7 ps-2">Status Mahasiswa</th>
                                                    </tr>
                                                    </thead>
                                                    <tbody class="marquee">
                                                    <tr th:each="data, row : ${listTotalSks}">
                                                        <td th:text="${(row.index + 1)}"></td>
                                                        <td th:text="${data.getNim}"></td>
                                                        <td th:text="${data.getNama}"></td>
                                                        <td th:text="${data.getNamaProdi}"></td>
                                                        <td th:text="${data.getTotalSks}"></td>
                                                        <td th:text="${data.getStatusKrs}"></td>
                                                        <input type="hidden" name="id">
                                                        <td >
                                                            <select name="statusAktif"
                                                                    th:id="${data.getId}"
                                                                    style="width: 100%!important;"
                                                                    onchange="simpanStatusAktif(this)"
                                                                    class="team js-example-basic-multiple js-states form-control js-data-example-ajax">

                                                                <option th:text="${data.getStatusAktif}"></option>
                                                                <option value="" disabled></option>
                                                                <option value="" disabled>--Update Data--</option>
                                                                <option value="AKTIF">AKTIF</option>
                                                                <option value="NONAKTIF">NONAKTIF</option>
                                                                <option value="MENGUNDURKAN_DIRI">MENGUNDURKAN_DIRI</option>
                                                                <option value="CUTI">CUTI</option>
                                                                <option value="LULUS">LULUS</option>

                                                            </select>
                                                        </td>
                                                    </tr>
                                                    </tbody>

                                                </table>
                                            </div>
                                            <div class="card-footer py-4">
                                                <nav aria-label="...">
                                                    <ul class="pagination justify-content-end mb-0" sd:pagination="full">
                                                        <li class="disabled"><a href="#" aria-label="Previous"><span
                                                                aria-hidden="true">&laquo;</span></a>
                                                        </li>
                                                        <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a>
                                                        </li>
                                                    </ul>
                                                </nav>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                          </div>

                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- Dark table -->

    </div>
</div>
</body>

</html>
<script src="https://www.kryogenix.org/code/browser/sorttable/sorttable.js"></script>
<script type="text/javascript" charset="utf8" src="https://cdn.datatables.net/1.13.1/js/jquery.dataTables.js"></script>
<script>


    function simpanStatusAktif(arg) {
        var id = arg.getAttribute('id');
        var value = arg.value;
        var idMahasiswa = id.slice(0);

        var token = $("input[name='_csrf']").val();
        var url = "/studiesActivity/krs/statusPembayaran/statusAktif/save/" + idMahasiswa + '?statusAktif=' + value;

        console.log("Token:", token);
        console.log("URL:", url);

        $.ajax({
            url: url,
            contentType: "application/json;charset=UTF-8",
            headers: {"X-CSRF-TOKEN": token},
            method: 'post',
            dataType: 'JSON',
            success: function (data) {
                console.log("Data saved successfully:", data); // Add this line for debugging

                Swal.fire({
                    position: 'top-end',
                    icon: 'success',
                    title: 'Data Tersimpan ',
                    showConfirmButton: false,
                    timer: 2000
                })
            },
            error: function (xhr, status, error) {
                console.error("AJAX Error:", error)
            }
        })
    }





    $(".js-example-placeholder-single").select2({
        placeholder: "Pilih Salah Satu",
        allowClear: true
    });

    (function ($){
        $('#select2-dosen').select2();
    })(jQuery);

</script>